required:
  type:
    type: string
    allowed-values:
      - constant
  name:
    type: string
    max-length: 160
  version:
    type: string
    max-length: 80
  code:
    type: string

optional:
  desc:
    type: string
    max-length: 4000
  author:
    type: list
    element-type: string